Subject: Re: [bug#45666] [PATCH] Add new variable guix/packages/image-processing.scm stiff

From: Leo Famulari <[email-masked]>
Date: Mon, 4 Jan 2021 20:52:49 -0500

On Tue, Jan 05, 2021 at 12:36:05AM +0000, Sharlatan Hellseher wrote:
> I would like you to check this patch which would be one of the of
> patches for Astronomy related software from
> https://www.astromatic.net/software/
> 
> I've helped Oleh Malyi <[email-masked]> to make his first
> package for the project. Is it possible to grant copyright of the
> patch to him please?

Of course!

> Subject: [PATCH] Add new gnu/packages/image-processing.scm stiff

I standardized the commit message...

> +    (synopsis "STIFF converts scientific FITS images to TIFF format")
> +    (description
> +     "STIFF is a program that converts scientific FITS images to the more
> +popular TIFF format for illustration purposes.")

Tweaked the synopses and description...

> +    (license license:gpl3)))

And changed this to gpl3+, because the C langugage source files'
copyright headers all say "either version 3 of the License, or (at your
option) any later version."

Pushed as commit 58a5746e7361c317e352920745fbe2ad01e2e802

https://git.savannah.gnu.org/cgit/guix.git/commit/?id=58a5746e7361c317e352920745fbe2ad01e2e802

Thanks a lot and welcome!